# Uses of Class
org.apache.solr.common.SolrInputDocument

Packages that use SolrInputDocument
Package
Description
org.apache.solr.client.solrj
Primary APIs for communicating with a Solr Server from a Java client.
org.apache.solr.client.solrj.beans
Annotation based mapping of client objects to Solr documents.
org.apache.solr.client.solrj.request
Convenience classes for dealing with various types of Solr requests.
org.apache.solr.client.solrj.util
Utilities for Solr client applications.
org.apache.solr.common
Common classes reused on both clients & server for dealing with `documents to be indexed` and `result documents`.
org.apache.solr.common.cloud
Common Solr Cloud and ZooKeeper related classes reused on both clients & server.
org.apache.solr.common.util
Common utility classes reused on both clients & server.

## Uses of SolrInputDocument in org.apache.solr.client.solrj

Methods in org.apache.solr.client.solrj with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`UpdateResponse`
SolrClient.`add(String collection, SolrInputDocument doc)`
Adds a single document
`UpdateResponse`
SolrClient.`add(String collection, SolrInputDocument doc, int commitWithinMs)`
Adds a single document specifying max time before it becomes committed
`UpdateResponse`
SolrClient.`add(SolrInputDocument doc)`
Adds a single document
`UpdateResponse`
SolrClient.`add(SolrInputDocument doc, int commitWithinMs)`
Adds a single document specifying max time before it becomes committed
Method parameters in org.apache.solr.client.solrj with type arguments of type SolrInputDocument
Modifier and Type
Method
Description
`UpdateResponse`
SolrClient.`add(String collection, Collection<SolrInputDocument> docs)`
Adds a collection of documents
`UpdateResponse`
SolrClient.`add(String collection, Collection<SolrInputDocument> docs, int commitWithinMs)`
Adds a collection of documents, specifying max time before they become committed
`UpdateResponse`
SolrClient.`add(String collection, Iterator<SolrInputDocument> docIterator)`
Adds the documents supplied by the given iterator.
`UpdateResponse`
SolrClient.`add(Collection<SolrInputDocument> docs)`
Adds a collection of documents
`UpdateResponse`
SolrClient.`add(Collection<SolrInputDocument> docs, int commitWithinMs)`
Adds a collection of documents, specifying max time before they become committed
`UpdateResponse`
SolrClient.`add(Iterator<SolrInputDocument> docIterator)`
Adds the documents supplied by the given iterator.

## Uses of SolrInputDocument in org.apache.solr.client.solrj.beans

Methods in org.apache.solr.client.solrj.beans that return SolrInputDocument
Modifier and Type
Method
Description
`SolrInputDocument`
DocumentObjectBinder.`toSolrInputDocument(Object obj)`

## Uses of SolrInputDocument in org.apache.solr.client.solrj.request

Methods in org.apache.solr.client.solrj.request that return types with arguments of type SolrInputDocument
Modifier and Type
Method
Description
`Iterator<SolrInputDocument>`
UpdateRequest.`getDocIterator()`
`List<SolrInputDocument>`
DocumentAnalysisRequest.`getDocuments()`
Returns all documents that will be analyzed when processing the request.
`List<SolrInputDocument>`
UpdateRequest.`getDocuments()`
`Map<SolrInputDocument,Map<String,Object>>`
UpdateRequest.`getDocumentsMap()`
Methods in org.apache.solr.client.solrj.request with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Boolean overwrite)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Integer commitWithin)`
Add a SolrInputDocument to this request
`UpdateRequest`
UpdateRequest.`add(SolrInputDocument doc, Integer commitWithin, Boolean overwrite)`
Add a SolrInputDocument to this request
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`addDocument(SolrInputDocument doc)`
Adds a document to be analyzed.
`void`
JavaBinUpdateRequestCodec.StreamingUpdateHandler.`update(SolrInputDocument document, UpdateRequest req, Integer commitWithin, Boolean override)`
Method parameters in org.apache.solr.client.solrj.request with type arguments of type SolrInputDocument
Modifier and Type
Method
Description
`UpdateRequest`
UpdateRequest.`add(Collection<SolrInputDocument> docs)`
Add a collection of SolrInputDocuments to this request
`DocumentAnalysisRequest`
DocumentAnalysisRequest.`addDocuments(Collection<SolrInputDocument> docs)`
Adds a collection of documents to be analyzed.
`void`
UpdateRequest.`setDocIterator(Iterator<SolrInputDocument> docIterator)`

## Uses of SolrInputDocument in org.apache.solr.client.solrj.util

Methods in org.apache.solr.client.solrj.util with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`static void`
ClientUtils.`writeXML(SolrInputDocument doc, Writer writer)`

## Uses of SolrInputDocument in org.apache.solr.common

Methods in org.apache.solr.common that return SolrInputDocument
Modifier and Type
Method
Description
`SolrInputDocument`
SolrInputDocument.`deepCopy()`
Methods in org.apache.solr.common that return types with arguments of type SolrInputDocument
Modifier and Type
Method
Description
`List<SolrInputDocument>`
SolrInputDocument.`getChildDocuments()`
Returns the list of child documents, or null if none.
Methods in org.apache.solr.common with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`void`
SolrInputDocument.`addChildDocument(SolrInputDocument child)`
Method parameters in org.apache.solr.common with type arguments of type SolrInputDocument
Modifier and Type
Method
Description
`void`
SolrInputDocument.`addChildDocuments(Collection<SolrInputDocument> children)`
`void`
SolrInputDocument.`visitSelfAndNestedDocs(BiConsumer<String,SolrInputDocument> consumer)`
Beta API; may change at will.

## Uses of SolrInputDocument in org.apache.solr.common.cloud

Methods in org.apache.solr.common.cloud with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`protected String`
HashBasedRouter.`getId(SolrInputDocument sdoc, SolrParams params)`
`Slice`
CompositeIdRouter.`getTargetSlice(String id, SolrInputDocument sdoc, String route, SolrParams params, DocCollection collection)`
`abstract Slice`
DocRouter.`getTargetSlice(String id, SolrInputDocument sdoc, String route, SolrParams params, DocCollection collection)`
Returns the Slice that the document should reside on, or null if there is not enough information
`Slice`
HashBasedRouter.`getTargetSlice(String id, SolrInputDocument sdoc, String route, SolrParams params, DocCollection collection)`
`Slice`
ImplicitDocRouter.`getTargetSlice(String id, SolrInputDocument sdoc, String route, SolrParams params, DocCollection collection)`
`abstract boolean`
DocRouter.`isTargetSlice(String id, SolrInputDocument sdoc, SolrParams params, String shardId, DocCollection collection)`
`boolean`
HashBasedRouter.`isTargetSlice(String id, SolrInputDocument sdoc, SolrParams params, String shardId, DocCollection collection)`
`boolean`
ImplicitDocRouter.`isTargetSlice(String id, SolrInputDocument sdoc, SolrParams params, String shardId, DocCollection collection)`
`int`
CompositeIdRouter.`sliceHash(String id, SolrInputDocument doc, SolrParams params, DocCollection collection)`
`int`
HashBasedRouter.`sliceHash(String id, SolrInputDocument sdoc, SolrParams params, DocCollection collection)`

## Uses of SolrInputDocument in org.apache.solr.common.util

Methods in org.apache.solr.common.util that return SolrInputDocument
Modifier and Type
Method
Description
`protected SolrInputDocument`
JavaBinCodec.`createSolrInputDocument(int sz)`
`SolrInputDocument`
JavaBinCodec.`readSolrInputDocument(DataInputInputStream dis)`
Methods in org.apache.solr.common.util with parameters of type SolrInputDocument
Modifier and Type
Method
Description
`void`
JavaBinCodec.`writeSolrInputDocument(SolrInputDocument sdoc)`